Subject: Re: bug#62009: 29.0.60; Emacs crashes on setf symbol-name

From: Gregory Heytings <[email-masked]>
Date: Sat, 11 Mar 2023 15:16:36 +0000

>
> Sorry, I object to any change to cater for this use case.
>

IMO a reasonable change here would be to update the docstring of 
symbol-name, which only says "Return SYMBOL's name, a string.", with a 
warning similar to the one in the manual:

Warning: Changing the string by substituting characters does change the 
name of the symbol, but fails to update the obarray, so don't do it!

Perhaps we could also explicitly mention, in the docstring and/or in the 
manual, that doing that can also crash Emacs.